StarObjectDraw Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
StarObjectDraw Class Reference

the main class to read a StarOffice draw More...

`#include <StarObjectDraw.hxx>`

Inheritance diagram for StarObjectDraw:

## Public Member Functions
| StarObjectDraw (StarObject const &orig, bool duplicateState)
| constructor More...
virtual | ~StarObjectDraw ()
| destructor More...
bool | parse ()
| try to parse the current object More...
bool | updatePageSpans (std::vector< STOFFPageSpan > &pageSpan, int &numPages) const
| try to update the page span (to create draw document) More...
bool | sendPages (STOFFGraphicListenerPtr listener)
| try to send the different page More...
bool | sendMasterPages (STOFFGraphicListenerPtr listener)
| try to send the master pages More...
Public Member Functions inherited from StarObject
| StarObject (char const *passwd, shared_ptr< STOFFOLEParser::OleDirectory > directory)
| constructor More...
virtual | ~StarObject ()
| destructor More...
bool | parse ()
| try to parse data More...
STOFFDocument::Kind | getDocumentKind () const
| returns the document kind More...
char const * | getPassword () const
| returns the document password (the password given by the user) More...
shared_ptr< STOFFOLEParser::OleDirectory > | getOLEDirectory ()
| returns the object directory More...
shared_ptr< StarAttributeManager > | getAttributeManager ()
| returns the attribute manager More...
shared_ptr< StarFormatManager > | getFormatManager ()
| returns the format manager More...
librevenge::RVNGPropertyList const & | getMetaData () const
| returns the meta data (filled by readSfxDocumentInformation) More...
void | cleanPools ()
| clean each pool More...
shared_ptr< StarItemPool > | getNewItemPool (StarItemPool::Type type)
| returns a new item pool for this document More...
shared_ptr< StarItemPool > | findItemPool (StarItemPool::Type type, bool isInside)
| check if a pool corresponding to a given type is opened if so returned it. More...
shared_ptr< StarItemPool > | getCurrentPool (bool onlyInside=true)
| returns the current all/inside pool More...
bool | readPersistData (StarZone &zone, long endPos)
| try to read persist data More...
bool | readSfxStyleSheets (STOFFInputStreamPtr input, std::string const &name)
| try to read a spreadshet style zone: SfxStyleSheets More...
bool | readItemSet (StarZone &zone, std::vector< STOFFVec2i > const &limits, long endPos, StarItemSet &itemSet, StarItemPool *pool=0, bool isDirect=false)
| try to read a list of item More...

## Protected Member Functions
bool | readDrawDocument (STOFFInputStreamPtr input, std::string const &fileName)
| try to read a spreadsheet zone: StarDrawDocument .sdd More...
bool | readSfxStyleSheets (STOFFInputStreamPtr input, std::string const &fileName)
| try to read a draw style zone: SfxStyleSheets More...
Protected Member Functions inherited from StarObject
bool | readPersistElements (STOFFInputStreamPtr input, std::string const &name)
| the "persist elements" small ole: the list of object More...
bool | readSfxDocumentInformation (STOFFInputStreamPtr input, std::string const &name)
| try to read the document information : "SfxDocumentInformation" More...
bool | readSfxPreview (STOFFInputStreamPtr input, std::string const &name)
| try to read the preview : "SfxPreview" More...
bool | readSfxWindows (STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read the windows information : "SfxWindows" More...
bool | readStarFrameworkConfigFile (STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read the "Star Framework Config File" More...
| StarObject (StarObject const &orig, bool duplicateState)
| copy constructor More...

## Static Protected Member Functions
static bool | readSdrCustomShow (StarZone &zone)
| try to read a SdCustomShow More...
static bool | readSdrFrameView (StarZone &zone)
| try to read a SdrFrameView More...
static bool | readSdrView (StarZone &zone)
| try to read a SdrView More...
static bool | readSdrHelpLine (StarZone &zone)
| try to read a SdrHelpLine More...
static bool | readSdrHelpLineSet (StarZone &zone)
| try to read a SdrHelpLine list More...
static bool | readPresentationData (StarZone &zone)
| try to read the presentation data More...

## Protected Attributes
shared_ptr< StarObjectDrawInternal::State > | m_drawState
| the state More...
Protected Attributes inherited from StarObject
char const * | m_password
| the document password More...
shared_ptr< STOFFOLEParser::OleDirectory > | m_directory
| the directory More...
shared_ptr< StarObjectInternal::State > | m_state
| the state More...
librevenge::RVNGPropertyList | m_metaData
| the meta data More...

## Detailed Description

the main class to read a StarOffice draw

Note
  currently, it contains only static function :-~

## Constructor & Destructor Documentation

StarObjectDraw::StarObjectDraw | ( | StarObject const & | orig,
|  | bool | duplicateState
| ) |  |

constructor

StarObjectDraw::~StarObjectDraw | ( |  | ) |
| virtual

destructor

## Member Function Documentation

bool StarObjectDraw::parse | ( |  | ) |

try to parse the current object

Referenced by SDCParser::createZones(), and SDWParser::createZones().

bool StarObjectDraw::readDrawDocument | ( | STOFFInputStreamPtr | input,
|  | std::string const & | fileName
| ) |  |
| protected

try to read a spreadsheet zone: StarDrawDocument .sdd

Referenced by parse().

bool StarObjectDraw::readPresentationData | ( | StarZone & | zone | ) |
| staticprotected

try to read the presentation data

Referenced by readDrawDocument().

bool StarObjectDraw::readSdrCustomShow | ( | StarZone & | zone | ) |
| staticprotected

try to read a SdCustomShow

Referenced by readPresentationData().

bool StarObjectDraw::readSdrFrameView | ( | StarZone & | zone | ) |
| staticprotected

try to read a SdrFrameView

Referenced by readPresentationData().

bool StarObjectDraw::readSdrHelpLine | ( | StarZone & | zone | ) |
| staticprotected

try to read a SdrHelpLine

Referenced by readSdrHelpLineSet().

bool StarObjectDraw::readSdrHelpLineSet | ( | StarZone & | zone | ) |
| staticprotected

try to read a SdrHelpLine list

Referenced by readSdrFrameView().

bool StarObjectDraw::readSdrView | ( | StarZone & | zone | ) |
| staticprotected

try to read a SdrView

Referenced by readSdrFrameView().

bool StarObjectDraw::readSfxStyleSheets | ( | STOFFInputStreamPtr | input,
|  | std::string const & | fileName
| ) |  |
| protected

try to read a draw style zone: SfxStyleSheets

Referenced by parse().

bool StarObjectDraw::sendMasterPages | ( | STOFFGraphicListenerPtr | listener | ) |

try to send the master pages

bool StarObjectDraw::sendPages | ( | STOFFGraphicListenerPtr | listener | ) |

try to send the different page

bool StarObjectDraw::updatePageSpans | ( | std::vector< STOFFPageSpan > & | pageSpan,
|  | int & | numPages
| ) |  | const

try to update the page span (to create draw document)

## Member Data Documentation

shared_ptr<StarObjectDrawInternal::State> StarObjectDraw::m_drawState
| protected

the state

Referenced by readDrawDocument(), sendMasterPages(), sendPages(), and updatePageSpans().

The documentation for this class was generated from the following files:

- StarObjectDraw.hxx
- StarObjectDraw.cxx